###########################################################################
# Copyright (C) 2009 Swedish Meteorological and Hydrological Institute, SMHI,
#
# This file is part of HLHDF.
#
# HLHDF is free software: you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# HLHDF is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with HLHDF.  If not, see <http://www.gnu.org/licenses/>.
###########################################################################

############################################################
#
# $Id: def.mk.in,v 1.4 2008/03/25 12:30:34 adybbroe Exp $
#
# Description:	MK file to be included by the Makefiles that
#		are using the HLHDF distribution.
#
# Author(s):	Anders Henja
#
# Copyright:	Swedish Meteorological and Hydrological Institute, 2000
#
# History:	2000-03-22 Created by Anders Henja
############################################################
srcdir = 	.
prefix =        /usr/src/packages/BUILD/debian/tmp/opt/baltrad/hlhdf


CC=		gcc
F77=		
RANLIB=		ranlib
AR=		ar

COMPILE_FOR_PYTHON= yes

OPTS=		-DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-prototypes
LDFLAGS=	-Wl,-z,relro
LDSHARED=	gcc -pthread -shared -Wl,-O1 -Wl,-Bsymbolic-functions -Wl,-z,relro
CCSHARED=	-fPIC
DEFS=		 -DBYTE_ORDER_LITTLE_ENDIAN
INCLUDE_PYTHON=	-I/usr/include/python2.7
SITEPACK_PYTHON= /usr/lib/python2.7/dist-packages

NUMPY_INCLUDE_DIR=-I/usr/lib/pymodules/python2.7/numpy/core/include/numpy

LD_FORCE_SHARE=-Xlinker -Bdynamic
LD_FORCE_STATIC=-Xlinker -Bstatic
FORTRAN_CLINK_LIBS=
FORTRAN_CLINK_LDFLAG=

GOT_SZ_COMPRESS= no
SZLIB_INCDIR=    
SZLIB_LIBDIR=    

ifeq ($(GOT_SZ_COMPRESS),yes)
  OPTS:= -DGOT_SZ_COMPRESS
endif

ZLIB_INCDIR=	
ZLIB_LIBDIR=	
HDF5_INCDIR=	
HDF5_LIBDIR=	

HLHDF_VERSION= 1.0
HLHDF_PATCH_LEVEL=0

HL_INSTALL= /usr/src/packages/BUILD/scripts/install-sh.sh
